<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Chapelle extends Model
{
    /** @use HasFactory<\Database\Factories\ChapelleFactory> */
    use HasFactory;
    protected $fillable = [
        'designation',
        'code',
        'status',
        'adresse_id',
        'coordonnees',
    ];

    public function adresse()
    {
        return $this->belongsTo(Adresse::class);
    }

    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }
}